Delete a list item
- Base URL
-
https://{kibana_url}
-
DELETE
/api/lists/items
-
DELETE
/s/{space_id}/api/lists/items
Auth
Delete a list item using its id, or its list_id and value fields.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
id
string · format: nonempty · min length: 1
-
Required if list_id and value are not specified
-
list_id
string · format: nonempty · min length: 1
-
Required if id is not specified
-
value
string
-
Required if id is not specified
-
refresh
enum · default: false
-
Determines when changes made by the request are made visible to search
-
Values:
true
false
wait_for
One of:
{}
ListItem[]
-
@timestamp
string · format: date-time
-
created_at
string · format: date-time
required
-
created_by
string
required
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
list_id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
tie_breaker_id
string
required
-
type
enum
required
-
Values:
binary
boolean
byte
date
date_nanos
date_range
double
double_range
float
float_range
geo_point
geo_shape
half_float
integer
integer_range
ip
ip_range
keyword
long
long_range
shape
short
text
-
updated_at
string · format: date-time
required
-
updated_by
string
required
-
value
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
@timestamp
string · format: date-time
-
created_at
string · format: date-time
required
-
created_by
string
required
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
list_id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
tie_breaker_id
string
required
-
type
enum
required
-
Values:
binary
boolean
byte
date
date_nanos
date_range
double
double_range
float
float_range
geo_point
geo_shape
half_float
integer
integer_range
ip
ip_range
keyword
long
long_range
shape
short
text
-
updated_at
string · format: date-time
required
-
updated_by
string
required
-
value
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
Invalid input data response
application/json
One of:
-
status_code
integer
required
Unsuccessful authentication response
application/json
-
statusCode
integer
required
Not enough privileges response
application/json
-
statusCode
integer
required
List item not found response
application/json
-
status_code
integer
required
Internal server error response
application/json
-
status_code
integer
required
Thank you for your feedback.